Credit notes adjust an invoice amount after it has been finalized. Used to issue credit or refunds.
Type of object is always creditNote.
creditNote Unique identifier for the credit note.
"crn_0SNlurA049MEWV49X25tqzNV2jji"Time when the credit note was created.
"2024-06-14T19:38:34Z"Specifies where the credit amount should be credited to. It can have one of the following values:
outOfBand: The amount should be handled outside the system by the customer.userBalance: The amount should be added to the user balance at Gigs.outOfBand userBalance {"amount":100,"currency":"USD"}The name of the fee.
"Recovery Fee"The type of the fee.
recoveryFee A signed URL to download the credit note PDF file. The URL is valid for 1 minute.
This field is null for projects without billing enabled,
and for credit notes covering US-taxed plans.
"https://files.gigs.com/creditNotes/crn_0SNlurA049MEWV49X25tqzNV2jji.pdf?signature=abc123"The unique identifier for the invoice that the credit note applies to.
"inv_0SNlurA049MEWV1QTRqvd18YuG25"The status of the credit note. It can have one of the following values:
issued: The credit note was issued.voided: The credit note was voided and no longer has any effect.issued voided {"amount":999,"currency":"USD"}{"amount":200,"currency":"USD"}{"amount":1199,"currency":"USD"}Time when the credit note was voided.
"2024-06-14T19:38:34Z"{
"object": "creditNote",
"id": "crn_0SNlurA049MEWV49X25tqzNV2jji",
"createdAt": "2024-06-14T19:38:34.0Z",
"creditTo": "outOfBand",
"fees": [
{
"amount": {
"amount": 100,
"currency": "USD"
},
"name": "Recovery Fee",
"type": "recoveryFee"
}
],
"fileUrl": "https://files.gigs.com/creditNotes/crn_0SNlurA049MEWV49X25tqzNV2jji.pdf?signature=abc123",
"invoice": "inv_0SNlurA049MEWV1QTRqvd18YuG25",
"lineItems": [
{
"amount": {
"amount": 999,
"currency": "USD"
},
"invoiceLineItem": "lin_0SNlurA049MEWV11QUKZGDMxJmKe",
"tax": {
"amount": 200,
"currency": "USD"
},
"taxes": [
{
"amount": {
"amount": 200,
"currency": "USD"
},
"invoiceTax": "itx_0SNlurA049MEWV5Mw7cjrxFUo2Y3"
}
],
"total": {
"amount": 1199,
"currency": "USD"
}
}
],
"status": "issued",
"subtotal": {
"amount": 999,
"currency": "USD"
},
"tax": {
"amount": 200,
"currency": "USD"
},
"total": {
"amount": 1199,
"currency": "USD"
},
"voidedAt": "2024-06-14T19:38:34Z"
}
Returns a list of credit notes.
A cursor for use in pagination. The after parameter takes an object ID that defines the position in the list, only items immediately following the item with that ID will be returned.
A cursor for use in pagination. The before parameter takes an object ID that defines the position in the list, only items immediately preceding the item with that ID will be returned.
The limit of items to be returned in the list, between 0 and 200.
2010>= 0<= 200The unique identifier for the invoice to be filtered by.
"inv_0SNlurA049MEWV1QTRqvd18YuG25"A comma-separated list of statuses to filter the credit notes by.
Returns a dictionary with an items property that contains an array of credit notes.
Type of object is always list.
list creditNote.A unique identifier to be used as after pagination parameter if more items are available sorted after the current batch of items.
A unique identifier to be used as before pagination parameter if more items are available sorted before the current batch of items.
curl https://api.gigs.com/projects/${GIGS_PROJECT}/creditNotes \
-X GET \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "list",
"items": [
{
"object": "creditNote",
"id": "crn_0SNlurA049MEWV49X25tqzNV2jji",
"createdAt": "2024-06-14T19:38:34Z",
"creditTo": "outOfBand",
"fees": [
{
"amount": {
"amount": 100,
"currency": "USD"
},
"name": "Recovery Fee",
"type": "recoveryFee"
}
],
"fileUrl": "https://files.gigs.com/creditNotes/crn_0SNlurA049MEWV49X25tqzNV2jji.pdf?signature=abc123",
"invoice": "inv_0SNlurA049MEWV1QTRqvd18YuG25",
"lineItems": [
{
"amount": {
"amount": 999,
"currency": "USD"
},
"invoiceLineItem": "lin_0SNlurA049MEWV11QUKZGDMxJmKe",
"tax": {
"amount": 200,
"currency": "USD"
},
"taxes": [
{
"amount": {
"amount": 200,
"currency": "USD"
},
"invoiceTax": "itx_0SNlurA049MEWV5Mw7cjrxFUo2Y3"
}
],
"total": {
"amount": 1199,
"currency": "USD"
}
}
],
"status": "issued",
"subtotal": {
"amount": 999,
"currency": "USD"
},
"tax": {
"amount": 200,
"currency": "USD"
},
"total": {
"amount": 1199,
"currency": "USD"
},
"voidedAt": "2024-06-14T19:38:34Z"
}
],
"moreItemsAfter": null,
"moreItemsBefore": null
}
Creates a new credit note for an invoice.
When only invoice is provided, the full amount of the invoice will be credited, including all taxes and fees.
If the invoice has already been partially credited, the remaining amount will be credited.
When selected lineItems, taxes or fees are provided, only those will be credited.
Non-refundable taxes will still have to be filed with the tax authorities.
The unique identifier for the invoice that the credit note applies to.
"inv_0SNlurA049MEWV1QTRqvd18YuG25"The unique identifier for the invoice line item that this line item applies to.
"lin_0SNlurA049MEWV11QUKZGDMxJmKe"The amount to be credited for the line item in the currency of the invoice. If not provided or null the line item will not be credited, but taxes will be credited if provided.
999>= 0Returns the created credit note.
Type of object is always creditNote.
creditNote Unique identifier for the credit note.
"crn_0SNlurA049MEWV49X25tqzNV2jji"Time when the credit note was created.
"2024-06-14T19:38:34Z"Specifies where the credit amount should be credited to. It can have one of the following values:
outOfBand: The amount should be handled outside the system by the customer.userBalance: The amount should be added to the user balance at Gigs.outOfBand userBalance {"amount":100,"currency":"USD"}The name of the fee.
"Recovery Fee"The type of the fee.
recoveryFee A signed URL to download the credit note PDF file. The URL is valid for 1 minute.
This field is null for projects without billing enabled,
and for credit notes covering US-taxed plans.
"https://files.gigs.com/creditNotes/crn_0SNlurA049MEWV49X25tqzNV2jji.pdf?signature=abc123"The unique identifier for the invoice that the credit note applies to.
"inv_0SNlurA049MEWV1QTRqvd18YuG25"The status of the credit note. It can have one of the following values:
issued: The credit note was issued.voided: The credit note was voided and no longer has any effect.issued voided {"amount":999,"currency":"USD"}{"amount":200,"currency":"USD"}{"amount":1199,"currency":"USD"}Time when the credit note was voided.
"2024-06-14T19:38:34Z"curl https://api.gigs.com/projects/${GIGS_PROJECT}/creditNotes \
-X POST \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json" \
-d '{
"invoice": "inv_0SNlurA049MEWV1QTRqvd18YuG25",
"lineItems": [
{
"invoiceLineItem": "lin_0SNlurA049MEWV11QUKZGDMxJmKe",
"amount": 999,
"taxes": [
{
"invoiceTax": "itx_0SNlurA049MEWV5Mw7cjrxFUo2Y3",
"amount": 200
}
]
}
],
"fees": [
{
"amount": 999
}
]
}'
{
"object": "creditNote",
"id": "crn_0SNlurA049MEWV49X25tqzNV2jji",
"createdAt": "2024-06-14T19:38:34Z",
"creditTo": "outOfBand",
"fees": [
{
"amount": {
"amount": 100,
"currency": "USD"
},
"name": "Recovery Fee",
"type": "recoveryFee"
}
],
"fileUrl": "https://files.gigs.com/creditNotes/crn_0SNlurA049MEWV49X25tqzNV2jji.pdf?signature=abc123",
"invoice": "inv_0SNlurA049MEWV1QTRqvd18YuG25",
"lineItems": [
{
"amount": {
"amount": 999,
"currency": "USD"
},
"invoiceLineItem": "lin_0SNlurA049MEWV11QUKZGDMxJmKe",
"tax": {
"amount": 200,
"currency": "USD"
},
"taxes": [
{
"amount": {
"amount": 200,
"currency": "USD"
},
"invoiceTax": "itx_0SNlurA049MEWV5Mw7cjrxFUo2Y3"
}
],
"total": {
"amount": 1199,
"currency": "USD"
}
}
],
"status": "issued",
"subtotal": {
"amount": 999,
"currency": "USD"
},
"tax": {
"amount": 200,
"currency": "USD"
},
"total": {
"amount": 1199,
"currency": "USD"
},
"voidedAt": "2024-06-14T19:38:34Z"
}
Retrieves the details of an existing credit note.
The unique identifier for the credit note.
"crn_0SNlurA049MEWV49X25tqzNV2jji"Returns the credit note.
Type of object is always creditNote.
creditNote Unique identifier for the credit note.
"crn_0SNlurA049MEWV49X25tqzNV2jji"Time when the credit note was created.
"2024-06-14T19:38:34Z"Specifies where the credit amount should be credited to. It can have one of the following values:
outOfBand: The amount should be handled outside the system by the customer.userBalance: The amount should be added to the user balance at Gigs.outOfBand userBalance {"amount":100,"currency":"USD"}The name of the fee.
"Recovery Fee"The type of the fee.
recoveryFee A signed URL to download the credit note PDF file. The URL is valid for 1 minute.
This field is null for projects without billing enabled,
and for credit notes covering US-taxed plans.
"https://files.gigs.com/creditNotes/crn_0SNlurA049MEWV49X25tqzNV2jji.pdf?signature=abc123"The unique identifier for the invoice that the credit note applies to.
"inv_0SNlurA049MEWV1QTRqvd18YuG25"The status of the credit note. It can have one of the following values:
issued: The credit note was issued.voided: The credit note was voided and no longer has any effect.issued voided {"amount":999,"currency":"USD"}{"amount":200,"currency":"USD"}{"amount":1199,"currency":"USD"}Time when the credit note was voided.
"2024-06-14T19:38:34Z"curl https://api.gigs.com/projects/${GIGS_PROJECT}/creditNotes/{creditNote} \
-X GET \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "creditNote",
"id": "crn_0SNlurA049MEWV49X25tqzNV2jji",
"createdAt": "2024-06-14T19:38:34Z",
"creditTo": "outOfBand",
"fees": [
{
"amount": {
"amount": 100,
"currency": "USD"
},
"name": "Recovery Fee",
"type": "recoveryFee"
}
],
"fileUrl": "https://files.gigs.com/creditNotes/crn_0SNlurA049MEWV49X25tqzNV2jji.pdf?signature=abc123",
"invoice": "inv_0SNlurA049MEWV1QTRqvd18YuG25",
"lineItems": [
{
"amount": {
"amount": 999,
"currency": "USD"
},
"invoiceLineItem": "lin_0SNlurA049MEWV11QUKZGDMxJmKe",
"tax": {
"amount": 200,
"currency": "USD"
},
"taxes": [
{
"amount": {
"amount": 200,
"currency": "USD"
},
"invoiceTax": "itx_0SNlurA049MEWV5Mw7cjrxFUo2Y3"
}
],
"total": {
"amount": 1199,
"currency": "USD"
}
}
],
"status": "issued",
"subtotal": {
"amount": 999,
"currency": "USD"
},
"tax": {
"amount": 200,
"currency": "USD"
},
"total": {
"amount": 1199,
"currency": "USD"
},
"voidedAt": "2024-06-14T19:38:34Z"
}
Marks the credit note as void. This reverses the credited amount in the invoice and reported taxes.
The unique identifier for the credit note.
"crn_0SNlurA049MEWV49X25tqzNV2jji"Returns the voided credit note.
Type of object is always creditNote.
creditNote Unique identifier for the credit note.
"crn_0SNlurA049MEWV49X25tqzNV2jji"Time when the credit note was created.
"2024-06-14T19:38:34Z"Specifies where the credit amount should be credited to. It can have one of the following values:
outOfBand: The amount should be handled outside the system by the customer.userBalance: The amount should be added to the user balance at Gigs.outOfBand userBalance {"amount":100,"currency":"USD"}The name of the fee.
"Recovery Fee"The type of the fee.
recoveryFee A signed URL to download the credit note PDF file. The URL is valid for 1 minute.
This field is null for projects without billing enabled,
and for credit notes covering US-taxed plans.
"https://files.gigs.com/creditNotes/crn_0SNlurA049MEWV49X25tqzNV2jji.pdf?signature=abc123"The unique identifier for the invoice that the credit note applies to.
"inv_0SNlurA049MEWV1QTRqvd18YuG25"The status of the credit note. It can have one of the following values:
issued: The credit note was issued.voided: The credit note was voided and no longer has any effect.issued voided {"amount":999,"currency":"USD"}{"amount":200,"currency":"USD"}{"amount":1199,"currency":"USD"}Time when the credit note was voided.
"2024-06-14T19:38:34Z"curl https://api.gigs.com/projects/${GIGS_PROJECT}/creditNotes/{creditNote}/void \
-X POST \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "creditNote",
"id": "crn_0SNlurA049MEWV49X25tqzNV2jji",
"createdAt": "2024-06-14T19:38:34Z",
"creditTo": "outOfBand",
"fees": [
{
"amount": {
"amount": 100,
"currency": "USD"
},
"name": "Recovery Fee",
"type": "recoveryFee"
}
],
"fileUrl": "https://files.gigs.com/creditNotes/crn_0SNlurA049MEWV49X25tqzNV2jji.pdf?signature=abc123",
"invoice": "inv_0SNlurA049MEWV1QTRqvd18YuG25",
"lineItems": [
{
"amount": {
"amount": 999,
"currency": "USD"
},
"invoiceLineItem": "lin_0SNlurA049MEWV11QUKZGDMxJmKe",
"tax": {
"amount": 200,
"currency": "USD"
},
"taxes": [
{
"amount": {
"amount": 200,
"currency": "USD"
},
"invoiceTax": "itx_0SNlurA049MEWV5Mw7cjrxFUo2Y3"
}
],
"total": {
"amount": 1199,
"currency": "USD"
}
}
],
"status": "issued",
"subtotal": {
"amount": 999,
"currency": "USD"
},
"tax": {
"amount": 200,
"currency": "USD"
},
"total": {
"amount": 1199,
"currency": "USD"
},
"voidedAt": "2024-06-14T19:38:34Z"
}